
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>pyDash：一个基于 web 的 Linux 性能监测工具 / iVAN</title>

    <meta name="description" content="pyDash：一个基于 web 的 Linux 性能监测工具 pyDash 是一个轻量且基于 web 的 Linux 性能监测工具,它是用 Python 和 Django 加上 Chart.js 来写的.经测试,在下面这些主流 Linux 发行版上可运行:CentOS.Fedora.Ubuntu.Debian.Raspbian 以及 Pidora . 你可以使用这个工具来监视你的 Linux 个人电脑/服务器资源,比如 CPU.内存.网络统计,包括在线用户的进程以及更多.仪表盘完全由主要的 Python 发行版本所提供的 Python 库开发,因此它的依赖">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">pyDash：一个基于 web 的 Linux 性能监测工具</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><code>pyDash</code> 是一个轻量且<a href="http://www.tecmint.com/command-line-tools-to-monitor-linux-performance/" rel="external nofollow noreferrer">基于 web 的 Linux 性能监测工具</a>，它是用 Python 和 <a href="http://www.tecmint.com/install-and-configure-django-web-framework-in-centos-debian-ubuntu/" rel="external nofollow noreferrer">Django</a> 加上 Chart.js 来写的。经测试，在下面这些主流 Linux 发行版上可运行：CentOS、Fedora、Ubuntu、Debian、Raspbian 以及 Pidora 。</p>
<p>你可以使用这个工具来监视你的 Linux 个人电脑/服务器资源，比如 CPU、内存、网络统计，包括在线用户的进程以及更多。仪表盘完全由主要的 Python 发行版本所提供的 Python 库开发，因此它的依赖关系很少，你不需要安装许多包或库来运行它。</p>
<p>在这篇文章中，我将展示如何安装 <code>pyDash</code> 来监测 Linux 服务器性能。</p>
<h3>如何在 Linux 系统下安装 pyDash</h3>
<p>1、首先，像下面这样安装需要的软件包 <code>git</code> 和 <code>Python pip</code>：</p>
<pre>
</pre>
<ol>
<li><code>-------------- 在 Debian/Ubuntu 上 --------------</code></li>
<li><code>$ sudo apt-get install git python-pip</code></li>
<li><code>-------------- 在 CentOS/RHEL 上 --------------</code></li>
<li><code># yum install epel-release</code></li>
<li><code># yum install git python-pip</code></li>
<li><code>-------------- 在 Fedora 22+ 上 --------------</code></li>
<li><code># dnf install git python-pip</code></li>
</ol>
<p>2、如果安装好了 git 和 Python pip，那么接下来，像下面这样安装 <code>virtualenv</code>，它有助于处理针对 Python 项目的依赖关系：</p>
<pre>
</pre>
<ol>
<li><code># pip install virtualenv</code></li>
<li><code>或</code></li>
<li><code>$ sudo pip install virtualenv</code></li>
</ol>
<p>3、现在，像下面这样使用 <code>git</code> 命令，把 pyDash 仓库克隆到 home 目录中：</p>
<pre>
</pre>
<ol>
<li><code># git clone https://github.com/k3oni/pydash.git</code></li>
<li><code># cd pydash</code></li>
</ol>
<p>4、下一步，使用下面的 <code>virtualenv</code> 命令为项目创建一个叫做 <code>pydashtest</code> 虚拟环境：</p>
<pre>
</pre>
<ol>
<li><code>$ virtualenv pydashtest #give a name for your virtual environment like pydashtest</code></li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcwN3M2Mzh5bnI5aHp2dHduNDQucG5n.jpg"></p>
<p><em>创建虚拟环境</em></p>
<p>重要：请注意，上面的屏幕截图中，虚拟环境的 <code>bin</code> 目录被高亮显示，你的可能和这不一样，取决于你把 pyDash 目录克隆到什么位置。</p>
<p>5、创建好虚拟环境（<code>pydashtest</code>）以后，你需要在使用前像下面这样激活它：</p>
<pre>
</pre>
<ol>
<li><code>$ source /home/aaronkilik/pydash/pydashtest/bin/activate</code></li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcwN21vb2tha2t6d3ZudmF0azcucG5n.jpg"></p>
<p><em>激活虚拟环境</em></p>
<p>从上面的屏幕截图中，你可以注意到，提示字符串 1（<code>PS1</code>）已经发生改变，这表明虚拟环境已经被激活，而且可以开始使用。</p>
<p>6、现在，安装 pydash 项目 requirements；如何你好奇的话，可以使用 <a href="http://www.tecmint.com/13-basic-cat-command-examples-in-linux/" rel="external nofollow noreferrer">cat 命令</a>查看 <code>requirements.txt</code> 的内容，然后像下面所示那样进行安装：</p>
<pre>
</pre>
<ol>
<li><code>$ cat requirements.txt</code></li>
<li><code>$ pip install -r requirements.txt</code></li>
</ol>
<p>7、现在，进入 <code>pydash</code> 目录，里面包含一个名为 <code>settings.py</code> 的文件，也可直接运行下面的命令打开这个文件，然后把 <code>SECRET_KEY</code> 改为一个特定值：</p>
<pre>
</pre>
<ol>
<li><code>$ vi pydash/settings.py</code></li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcwOHRtYm05aTBkYnpiOW05bnYucG5n.jpg"></p>
<p><em>设置密匙</em></p>
<p>保存文件然后退出。</p>
<p>8、之后，运行下面的命令来创建一个项目数据库和安装 Django 的身份验证系统，并创建一个项目的超级用户：</p>
<pre>
</pre>
<ol>
<li><code>$ python manage.py syncdb</code></li>
</ol>
<p>根据你的情况回答下面的问题：</p>
<pre>
</pre>
<ol>
<li><code>Would you like to create one now? (yes/no): yes</code></li>
<li><code>Username (leave blank to use 'root'): admin</code></li>
<li><code>Email address: aaronkilik@gmail.com</code></li>
<li><code>Password: ###########</code></li>
<li><code>Password (again): ############</code></li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcwOGMwZTl6OWlhMDk0ZHYydmkucG5n.jpg"></p>
<p><em>创建项目数据库</em></p>
<p>9、这个时候，一切都设置好了，然后，运行下面的命令来启用 Django 开发服务器：</p>
<pre>
</pre>
<ol>
<li><code>$ python manage.py runserver</code></li>
</ol>
<p>10、接下来，打开你的 web 浏览器，输入网址：<code>http://127.0.0.1:8000/</code> 进入 web 控制台登录界面，输入你在第 8 步中创建数据库和安装 Django 身份验证系统时创建的超级用户名和密码，然后点击登录。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcwOXVpajh4NmRqaXAwOWU3eGoucG5n.jpg"></p>
<p><em>pyDash 登录界面</em></p>
<p>11、登录到 pydash 主页面以后，你将会可以看到监测系统的基本信息，包括 CPU、内存和硬盘使用量以及系统平均负载。</p>
<p>向下滚动便可查看更多部分的信息。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcxMHY0d2txd2pudHh6MDRpaW4ucG5n.jpg"></p>
<p><em>pydash 服务器性能概述</em></p>
<p>12、下一个屏幕截图显示的是一段 pydash 的跟踪界面，包括 IP 地址、互联网流量、硬盘读/写、在线用户以及 netstats 。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcxMnJvcHo5d2EwNTB3Y3FlZXcucG5n.jpg"></p>
<p><em>pyDash 网络概述</em></p>
<p>13、下一个 pydash 主页面的截图显示了一部分系统中被监视的活跃进程。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNzA0LzI5LzIzMTcxNWs3YmlhaW1haWt4c2ttb20ucG5n.jpg"></p>
<p><em>pyDash 监视活跃 Linux 进程</em></p>
<p>原文发布时间为：2017-04-30</p>
<p>本文来自合作伙伴“Linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 19:20:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/django/" title="Django">Django</a>, <a href="https://www.iamivan.net/tag/git/" title="git">git</a>, <a href="https://www.iamivan.net/tag/pip/" title="pip">pip</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>pyDash：一个基于 web 的 Linux 性能监测工具的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgg9qb.html" rel="bookmark">Linux 性能监测工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个完整运行的 Linux 系统包括很多子系统(介绍,CPU,Memory,IO,Network,-),监测和评估这些子系统是性能监测的一部分.我们往往需要宏观的看整个系统状态,也需要微观的看每个子系统的运行情况. 幸运的是,我们不必重复造轮子,监控这些子系统都有相应的工具可用,这些经过时间考验.随 Unix 成长起来.简单而优雅的小工具是我们日常 Unix/Linux 工作不可缺少的部分. 下面这张图片很好的总结了 Linux 各个子系统以及监控这些子系统所需要的工具,如果你对 Linux 系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN2YNNM.html" rel="bookmark">Linux性能监测工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sysstat   The sysstat package contains utilities to monitor system performance and usage activity. Sysstat contains various utilities, common to many commercial Unixes, and tools you can schedule via cron to collect and historize performance and acti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqnBxb.html" rel="bookmark">Linux 性能监测：IO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				磁盘通常是计算机最慢的子系统,也是最容易出现性能瓶颈的地方,因为磁盘离 CPU 距离最远而且 CPU 访问磁盘要涉及到机械操作,比如转轴.寻轨等.访问硬盘和访问内存之间的速度差别是以数量级来计算的,就像1天和1分钟的差别一样.要监测 IO 性能,有必要了解一下基本原理和 Linux 是如何处理硬盘和内存之间的 IO 的. 内存页 上一篇 Linux 性能监测:Memory 提到了内存和硬盘之间的 IO 是以页为单位来进行的,在 Linux 系统上1页的大小为 4K.可以用以下命令查看系统默认的页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEk86p.html" rel="bookmark">上位机-一个物联网方面的问题，做一个基于WiFi的楼宇能耗监测系统，软件部分怎么设计比较好，类似这个文档里的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一个物联网方面的问题,做一个基于WiFi的楼宇能耗监测系统,软件部分怎么设计比较好,类似这个文档里的 http://www.docin.com/p-1224986285.html 之前并不知道上位机,也没学过C#.只学了一点php和J2EE.还需要做Android端,想问下各位前辈们的想法,是做成上位机吗?对WiFi那边的硬件也不是很了解, 本来是想做成网页或者客户端的,这个上位机是怎么做的? 怎么设计软件部分比较快一点... 还有APP怎么设计比较好? 解决方案 既然基于WI-FI,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvG2mM.html" rel="bookmark">Linux 性能监测：CPU</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CPU 的占用主要取决于什么样的资源正在 CPU 上面运行,比如拷贝一个文件通常占用较少 CPU,因为大部分工作是由 DMA(Direct Memory Access)完成,只是在完成拷贝以后给一个中断让 CPU 知道拷贝已经完成:科学计算通常占用较多的 CPU,大部分计算工作都需要在 CPU 上完成,内存.硬盘等子系统只做暂时的数据存储工作. 要想监测和理解 CPU 的性能需要知道一些的操作系统的基本知识,比如:中断.进程调度.进程上下文切换.可运行队列等.这里 VPSee 用个例子来简单介绍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7WRdp.html" rel="bookmark">Linux 性能监测：Memory</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里的讲到的 &quot;内存&quot; 包括物理内存和虚拟内存,虚拟内存(Virtual Memory)把计算机的内存空间扩展到硬盘,物理内存(RAM)和硬盘的一部分空间(SWAP)组合在一起作为虚拟内存为计算机提供了一个连贯的虚拟内存空间,好处是我们拥有的内存 &quot;变多了&quot;,可以运行更多.更大的程序,坏处是把部分硬盘当内存用整体性能受到影响,硬盘读写速度要比内存慢几个数量级,并且 RAM 和 SWAP 之间的交换增加了系统的负担. 在操作系统里,虚拟内存被分成页,在 x86 系统上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdREvNb.html" rel="bookmark">Linux性能分析工具汇总合集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				出于对Linux操作系统的兴趣,以及对底层知识的强烈欲望,因此整理了这篇文章.本文也可以作为检验基础知识的指标,另外文章涵盖了一个系统的方方面面.如果没有完善的计算机系统知识,网络知识和操作系统知识,文档中的工具,是不可能完全掌握的,另外对系统性能分析和优化是一个长期的系列. 本文档主要是结合Linux 大牛,Netflix 高级性能架构师 Brendan Gregg 更新 Linux 性能调优工具的博文,搜集Linux系统性能优化相关文章整理后的一篇综合性文章,主要是结合博文对涉及到的原理和性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQwD0Op.html" rel="bookmark">《Hadoop MapReduce性能优化》一2&period;3　性能监测工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 性能监测工具 Hadoop MapReduce性能优化监测Hadoop集群节点的系统资源(如CPU利用率和磁盘平均数据传输率)有助于理解硬件资源的总体利用情况,并在诊断性能问题时找出瓶颈.Hadoop集群监测包括集群节点上系统资源使用情况的监测和核心服务指标的监测.最常监测的资源包括I/O带宽.每秒磁盘I/O操作的次数.平均数据传输率.网络延迟.平均内存和交换空间利用情况. Hadoop性能监测建议收集性能计数器的数据,这样做是为了判断各种任务的响应时间是否在可接受的执行时间范围内.Ma			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NAO9M.html" rel="bookmark">Pury&hairsp;&mdash;&hairsp;一个新的 Android App 性能分析工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Pury - 一个新的 Android App 性能分析工具, 手机应用存在的目的,就是在帮助用户做他们想做的事情的同时,提供最好的用户体验 -- 而用户体验的重中之重是应用的性能.但有时候开发者们却以性能为借口,既没有达到既定目标,又写着低质量并难以维护的代码.在这里我想引用 Michael A. Jackson 的一句话: &quot;程序优化守则第一条:别去做它.程序优化守则第二条(仅限于专业人员):别去做它,现在还不是时候.&quot; 在开始任何优化之前,我们要先认清问题的症结所在.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boLQBM.html" rel="bookmark" class="title">手机开发-Android 模拟器中按菜单Menu键弹出菜单项MenuItem，点击菜单项中的菜单项没反应！！！</a>
					<div>
						问题描述 Android 模拟器中按菜单Menu键弹出菜单项MenuItem,点击菜单项中的菜单项没反应!!! public boolean onCreateOptionsMenu(Menu menu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7RqWb.html" rel="bookmark" class="title">ASP&period;NET MVC Framework体验（1）：从一个简单实例开始</a>
					<div>
						概述 12月10日微软发布了ASP.NET 3.5扩展的预览版,在其中包括了ASP.NET MVC Framework.ASP.NET AJAX改进.ASP.NET动态数据支持.ASP.NET SIl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRlBOz.html" rel="bookmark" class="title">HTML5多媒体组件的使用&mdash;&mdash;第二部分：音频</a>
					<div>
						在这个&quot;使用HTML5组件工作&quot;三部曲的第一部分中,我主要讲解了有关用HTML5在网页中嵌入视频的内容.当然,大部分视频中包含了音频,所以如果你想把音频文件嵌入到你的网页中,同样用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElDD3z.html" rel="bookmark" class="title">Dreamweaver跳转菜单行为介绍</a>
					<div>
						一.Dreamweaver跳转菜单行为 1. 选择文档中的&quot;跳转菜单&quot;对象. 2. 打开行为面板. 3. 点击&quot;添加行为(+)&quot;按钮,在弹出的下拉菜单中选择&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4GkVp.html" rel="bookmark" class="title">PhotoShop调出人物外景清新亮丽效果数码后期制作教程</a>
					<div>
						图/文 北京名人王永亮 数码照片的后期加工已经成为现在人像摄影中不可缺少的一部分,不但可以对照片中的人物皮肤.服装.道具.背景.色彩等元素进行修饰调整, 还可以对照片的层次及空间感进行调整.通过本期的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnxglz.html" rel="bookmark" class="title">飞信PC客户端如何获得版本号</a>
					<div>
						获得飞信PC客户端的版本号,有以下两个方法: 1.成功登录飞信PC客户端后,点击&quot;主菜单→帮助→关于飞信&quot;,打开&quot;关于飞信&quot;窗口,在这里,可以看到当前PC客户端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL6LKb.html" rel="bookmark" class="title">使Linux系统上的程序开机后自动运行</a>
					<div>
						  Linux有自己一套完整的启动体系,抓住了Linux启动的脉络,Linux的启动过程将不再神秘. 阅读之前建议先看一下附图. 本文中假设inittab中设置的init tree为: /etc/rc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwxWBp.html" rel="bookmark" class="title">《私有云计算整合、虚拟化和面向服务的基础设施》一2&period;5Layer-2演化</a>
					<div>
						2.5Layer-2演化 深入研究光纤模块之前,让我们想一下目前的优化技术已经克服了以往哪些DC技术缺陷,而当前DC技术还存在哪些可被优化的地方,显然后者比前者更重要,因为它将带来更好的技术效率和改善 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P4P3p.html" rel="bookmark" class="title">mysql安装完成后无法登陆</a>
					<div>
						问题描述 mysql安装完成后无法登陆 都是这个错误 解决方案 很明显是密码错误.你要先有之前的密码,你才能修改密码. 解决方案二: mysql安装完无法登陆新版MySql 5.6.20,安装后无法登 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA78R3z.html" rel="bookmark" class="title">tomcat-Tomcat 部署多个项目问题</a>
					<div>
						问题描述 Tomcat 部署多个项目问题 10C 解决方案 看看是不是敲错代码了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjKG9p.html" rel="bookmark" class="title">字符串的问题</a>
					<div>
						问题描述 是这么回事,我再VS2005中启动一个MFC项目工程,在C..VIEW::OnDraw(CDC*pDC){////pDC-&gt;TextOut(0,0,&quot;jjjjjj&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rxq3b.html" rel="bookmark" class="title">问题多&comma;没分了&comma;真可怜啊&excl;</a>
					<div>
						问题描述 我在窗口设置了一个comboBox控件,希望能连接maste数据库,查询sysdatabases表中所有数据库名,然后显示到comboBox中,请问如何修改下面的代码?谢谢!SqlConne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdREr1b.html" rel="bookmark" class="title">sql-如何将数据库表的两张表进行合并查询</a>
					<div>
						问题描述 如何将数据库表的两张表进行合并查询 有两张表,数据列均不一样,要将两张表的数据合并到一起,想应的sql怎么拼接呢?求大神解答,不胜感激! 解决方案 你想怎么合并? 如果是按照关系合并,可以这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RN2Az.html" rel="bookmark" class="title">微信公众平台-微信查课表如何实现，求大神帮忙</a>
					<div>
						问题描述 微信查课表如何实现,求大神帮忙 最近学校要完善公众平台,想初步做个查课表的功能,该怎么实现呢,教务系统是正方的,外网可以进入 解决方案 教务系统有没有提供webapi接口,如果没有,也可以用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBqX0b.html" rel="bookmark" class="title">看AspectJ在Android中的强势插入</a>
					<div>
						什么是AOP AOP是Aspect Oriented Programming的缩写,即『面向切面编程』.它和我们平时接触到的OOP都是编程的不同思想,OOP,即『面向对象编程』,它提倡的是将功能模块化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAJR6p.html" rel="bookmark" class="title">草根新闻播报成网络淘金新方式</a>
					<div>
						以调侃的口吻说新闻.以小品的形式演绎新闻.以互动的方式邀请 网友共同点评新闻--如今,这样的原创新闻播报视频相当走红.&quot;山寨新闻&quot;和&quot;火星新闻&quot;就是其中的佼佼者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEAV3M.html" rel="bookmark" class="title">web&period;config connectionStrings 数据库连接字符串的解释</a>
					<div>
						原文:web.config connectionStrings 数据库连接字符串的解释(转载)   先来看一下默认的连接SQL Server数据库配置 &lt;connectionStrings&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JJGmz.html" rel="bookmark" class="title">RSA2014：Richard Clarke谈NSA重建信任</a>
					<div>
						本文讲的是RSA2014:Richard Clarke谈NSA重建信任,2月27日消息,奥巴马情报和通信技术顾问小组成员.Good Harbor董事长兼CEO Richard Clarke在本届RSA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLAEqM.html" rel="bookmark" class="title">动态编译的问题</a>
					<div>
						问题描述 各位好:本人做了个项目,现涉及到自动编译问题,望能给予提示和帮助谢谢!!!!!!! 解决方案 解决方案二:动态调用javac.?一个星期前才记得在哪里看到了可以动态创建java类和动态编译的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBXvqz.html" rel="bookmark" class="title">from错误求帮忙改下啊</a>
					<div>
						问题描述 from错误求帮忙改下啊 using System; using System.Collections.Generic; using System.ComponentModel; using ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjdVWM.html" rel="bookmark" class="title">个人站长运营网站必须做好诚信品质服务</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3.15已经过去了,但作为互联网中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeXo5M.html" rel="bookmark" class="title">《iOS和tvOS 2D游戏开发教程》&mdash;&mdash;第1章，第1&period;1节开始</a>
					<div>
						第1章 精灵 iOS和tvOS 2D游戏开发教程 Ray Wenderlich撰写 既然你已经知道了什么是Sprite Kit以及为什么要使用它,现在我们来自己尝试一下.我们将要构建的第一款小游戏叫做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWO0AM.html" rel="bookmark" class="title">数据库行转列-SQL行转列的问题，求各位大大帮助下</a>
					<div>
						问题描述 SQL行转列的问题,求各位大大帮助下 数据库中保存的是: 单据类型 审核级次 审核人 A 1级 张三 A 1级 李四 A 2级 王五 求查出的数据为: 单据类型 1级审核人 2级审核人 A  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZxJ3b.html" rel="bookmark" class="title">广州市民购买紫菜泡清水变成粉红色可能被染色</a>
					<div>
						5元6包的便宜紫菜一泡清水变成粉红色 食品专家称紫菜 掉色厉害或被染色 &quot;紫菜本来就是长在水里的,如果用普通的清水泡,应该不容易掉色.只有用热水煮比较长的时间,颜色才可能有些偏红.&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWm7Zz.html" rel="bookmark" class="title">php文件锁类防止并发的例子</a>
					<div>
						工作间隙写了个文件锁的类,用于解决并发的一些问题. bool flock ( int handle, int operation [, int &amp;wouldblock] ); flock()  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAKlLp.html" rel="bookmark" class="title">PHP 5&period;3&period;1 安装包 VC9 VC6不同版本的区别是什么&lowbar;php技巧</a>
					<div>
						最近在PHP官网上看到又有新版的PHP下载了,于是上去找找 For Windows的版本,可是一看,一共给了四个版本,VC9 x86 Non Thread Safe.VC9 x86 Thread Sa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWWa9p.html" rel="bookmark" class="title">Gartner评出2017年最值得关注的11个顶级信息安全技术</a>
					<div>
						在近日举行的Gartner安全与风险管理峰会上,Gartner评出了一个2017年最具影响力大11个顶级信息安全技术榜单,具体如下: 一.混合云负载保护平台 点评:当今的现代化数据中心的工作负载运行在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd9LKz.html" rel="bookmark" class="title">微软和雅虎何时才能展开合作谈判</a>
					<div>
						北京时间6月25日凌晨消息,据国外媒体报道,微软CEO史蒂夫·鲍尔默(Steve Ballmer)周三称,该公司仍旧愿意与雅虎达成合作关系. 鲍尔默在今天召开的2009年度康城金狮国际广告节的专题讨论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWJWDM.html" rel="bookmark" class="title">从日文输入法项目看心理模型和实现模型</a>
					<div>
						新年新气象,我们的泛用户体验平台上线啦,为用户体验行业又新添一个企业级的分享和沟通平台- 由此而发,我想就刚告一段落的日文输入法项目分享一些心得,今天主要是对心理模型的话题和大伙聊聊,欢迎各位参与讨论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW97Ap.html" rel="bookmark" class="title">也来说说我的网络生涯</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 说起做网站就得从2000年开始吧.在一个朋友的引响下,我在泉州风行电脑培训部学了广告设计Photoshop在那时学会了上网,当时上网其实是就是玩 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
